Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::unwrap_reference_fn Struct Reference
Functional

## Public Member Functions
template<typename T >
T & | operator() (ref_view< T > t) const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
reference_wrapper< T >::reference | operator() (reference_wrapper< T > t) const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
T & | operator() (std::reference_wrapper< T > t) const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
T && | operator() (T &&t) const noexcept